#!/bin/bash

with_dbus=true

[ ! $DBUS_SESSION_BUS_PID ] && unset with_dbus
[ ! $DBUS_SESSION_BUS_ADDRESS ] && unset with_dbus

if [ $with_dbus ]; then
	echo -e "Copy and paste into Terminal as needed: \n" >&2
	echo -e "export DBUS_SESSION_BUS_PID=$DBUS_SESSION_BUS_PID" >&2
	echo -e "export DBUS_SESSION_BUS_ADDRESS=$DBUS_SESSION_BUS_ADDRESS" >&2
else
	echo "Inkscape was not launched with DBus support." >&2
fi

# eof
